package org.dromara.main.service;

import org.dromara.main.domain.bo.MainBackCategoryBo;
import org.dromara.main.domain.vo.MainBackCategoryVo;

import java.util.Collection;
import java.util.List;

public interface IMainBackCategoryService {
    List<MainBackCategoryVo> queryList(MainBackCategoryBo bo);
    Boolean insertByBo(MainBackCategoryBo bo);
    Boolean updateByBo(MainBackCategoryBo bo);
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
